# std::vector<T,Allocator>::back

From cppreference.com
< cpp‎ | container‎ | vector

reference back(); |  |
const_reference back() const; |  |

Returns reference to the last element in the container.

Calling `back` on an empty container is undefined.

### Parameters

(none)

### Return value

Reference to the last element.

### Complexity

Constant.

### Notes

For a container `c`, the expression return c.back(); is equivalent to { auto tmp = c.end(); --tmp; return *tmp; }

### Example

The following code uses `back` to display the last element of a std::vector<char>:

Run this code

    #include <vector>
    #include <iostream>

    int main()
    {
        std::vector<char> letters {'a', 'b', 'c', 'd', 'e', 'f'};
        if (!letters.empty()) {
            std::cout << "The last character is: " << letters.back() << '\n';
        }
    }

Output:

    The last character is f

### See also

front | access the first element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/vector/back&oldid=50802"